Name:		tilitin
Version:	1.5.0
Release:	%mkrel 10
Summary:	Free Finnish bookkeeping software
Group:		Office/Finance
License:	GPLv3+
URL:		http://helineva.net/tilitin/
Source:		http://helineva.net/tilitin/%{name}-%{version}-src.zip
Source1:	%{name}
Source2:	%{name}.desktop
Patch0:		tilitin-1.5.0-fix-build-java17.patch
BuildRequires:	locales
BuildRequires:	ant
BuildRequires:	java-devel
Requires:	java >= 1.6.0
Requires:	javasqlite
BuildArch:	noarch

%description
Tilitin is a free Finnish bookkeeping software for Windows and Linux.

%prep
%setup -q
%autopatch -p1
%build
LC_ALL=UTF-8 %ant

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/tilikarttamallit
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
install -D -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 dist/tilitin.jar %{buildroot}%{_datadir}/%{name}/
install -D -m 644 lib/* %{buildroot}%{_datadir}/%{name}/
install -D -m 644 tilikarttamallit/* %{buildroot}%{_datadir}/%{name}/tilikarttamallit/

# Install hicolor icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{24x24,32x32,48x48}/apps
install -D -m 644 src/kirjanpito/ui/resources/tilitin-24x24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D -m 644 src/kirjanpito/ui/resources/tilitin-32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -m 644 src/kirjanpito/ui/resources/tilitin-48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Wed Sep 21 2022 neoclust <neoclust> 1.5.0-10.mga9
+ Revision: 1891205
- Fix Build with jdk17

* Sat Mar 26 2022 umeabot <umeabot> 1.5.0-9.mga9
+ Revision: 1828789
- Mageia 9 Mass Rebuild

* Thu Jul 09 2020 ovitters <ovitters> 1.5.0-8.mga8
+ Revision: 1603637
- drop Mageia specific category from desktop file (mga#2449)

* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-7.mga8
+ Revision: 1501194
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-6.mga7
+ Revision: 1276690
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 umeabot <umeabot> 1.5.0-5.mga6
+ Revision: 979823
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 1.5.0-4.mga5
+ Revision: 795720
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 739719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 689887
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 wally <wally> 1.5.0-1.mga5
+ Revision: 671003
- new version 1.5.0

* Mon Oct 21 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 538906
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 wally <wally> 1.4.1-2.mga4
+ Revision: 490916
- fix macro usage in .spec

* Tue Mar 19 2013 wally <wally> 1.4.1-1.mga3
+ Revision: 404081
- new version 1.4.1

* Mon Jan 14 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 384580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 wally <wally> 1.3.1-1.mga3
+ Revision: 343030
- new version 1.3.1

* Mon Dec 24 2012 wally <wally> 1.3.0-1.mga3
+ Revision: 334720
- fix RPM group
- new version 1.3.0
- clean .spec

* Sun Feb 12 2012 wally <wally> 1.2.0-1.mga2
+ Revision: 208211
- new version 1.2.0

* Mon Jan 09 2012 wally <wally> 1.1.2-1.mga2
+ Revision: 194041
- new version 1.1.2

* Sun Oct 30 2011 wally <wally> 1.1.1-1.mga2
+ Revision: 159981
- new version 1.1.1
- new version 1.1.0

* Mon Jul 11 2011 wally <wally> 1.0.0-1.mga2
+ Revision: 122238
- new version 1.0.0

* Tue Apr 05 2011 wally <wally> 0.14.0-1.mga1
+ Revision: 80846
- new version 0.14.0

* Tue Mar 22 2011 wally <wally> 0.13.0-1.mga1
+ Revision: 75531
- new version 0.13.0
- drop buildroot definition

* Fri Feb 25 2011 wally <wally> 0.12.0-1.mga1
+ Revision: 59961
- new version 0.12.0

* Mon Feb 14 2011 wally <wally> 0.11.3-1.mga1
+ Revision: 51726
- imported package tilitin

